package com.wzj.soopin.transaction.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.wzj.soopin.transaction.domain.bo.DivideRuleBO;
import com.wzj.soopin.transaction.domain.po.DivideRule;
import com.wzj.soopin.transaction.domain.po.DivideRuleDetail;
import com.wzj.soopin.transaction.domain.vo.DivideRuleVO;

import java.util.List;

public interface IDivideRuleService extends IService<DivideRule> {

    boolean save(  DivideRuleBO bo);

    void update(DivideRuleBO bo);

    DivideRuleVO getVOById(Long divideId);

    DivideRuleVO getVOByOrderType(Integer orderType);

    void changeStatus(Long id, Integer status);

    void checkRule(List<DivideRuleDetail> details);


}
